#!/bin/sh

set -e

(cd "$HOME/germinate" && git pull -q)

export GERMINATE_OPTIONS
options_for_dist() {
	case $1 in
		trusty|xenial|bionic)
			GERMINATE_OPTIONS="-a i386"
			;;
		*)
			GERMINATE_OPTIONS="-a amd64"
			;;
	esac
}

for dist in trusty xenial bionic focal jammy kinetic lunar mantic; do
	options_for_dist "$dist"
	update-one-germinate "ubuntu.$dist" "$dist" main,restricted,universe,multiverse
done

for dist in trusty xenial bionic focal jammy kinetic lunar mantic; do
	options_for_dist "$dist"
	update-one-germinate "kubuntu.$dist" "$dist" main,restricted,universe,multiverse
done

for dist in trusty xenial lunar mantic; do
	options_for_dist "$dist"
	update-one-germinate "edubuntu.$dist" "$dist" main,restricted,universe,multiverse
done

for dist in trusty xenial bionic focal jammy kinetic lunar mantic; do
	options_for_dist "$dist"
	update-one-germinate "xubuntu.$dist" "$dist" main,restricted,universe,multiverse
done

for dist in trusty xenial bionic focal jammy kinetic lunar mantic; do
	options_for_dist "$dist"
	update-one-germinate "ubuntustudio.$dist" "$dist" main,restricted,universe,multiverse
done

for dist in trusty xenial; do
	options_for_dist "$dist"
	update-one-germinate "mythbuntu.$dist" "$dist" main,restricted,universe,multiverse
done

for dist in trusty; do
	options_for_dist "$dist"
	update-one-germinate "kubuntu-active.$dist" "$dist" main,restricted,universe,multiverse
done

for dist in trusty xenial bionic focal jammy kinetic lunar mantic; do
	options_for_dist "$dist"
	update-one-germinate "lubuntu.$dist" "$dist" main,restricted,universe,multiverse
done

for dist in lunar mantic; do
	options_for_dist "$dist"
	update-one-germinate "ubuntucinnamon.$dist" "$dist" main,restricted,universe,multiverse
done

for dist in trusty xenial; do
	options_for_dist "$dist"
	update-one-germinate "ubuntu-gnome.$dist" "$dist" main,restricted,universe,multiverse
done

for dist in trusty xenial; do
	options_for_dist "$dist"
	update-one-germinate "ubuntu-touch.$dist" "$dist" main,restricted,universe,multiverse
done

for dist in xenial bionic focal jammy kinetic lunar mantic; do
	options_for_dist "$dist"
	update-one-germinate "ubuntukylin.$dist" "$dist" main,restricted,universe,multiverse
done

for dist in xenial bionic focal jammy kinetic lunar mantic; do
	options_for_dist "$dist"
	update-one-germinate "ubuntu-mate.$dist" "$dist" main,restricted,universe,multiverse
done

for dist in bionic focal jammy kinetic lunar mantic; do
	options_for_dist "$dist"
	update-one-germinate "ubuntu-budgie.$dist" "$dist" main,restricted,universe,multiverse
done

for dist in kinetic lunar mantic; do
	options_for_dist "$dist"
	update-one-germinate "ubuntu-unity.$dist" "$dist" main,restricted,universe,multiverse
done

for dist in focal jammy kinetic lunar mantic; do
	GERMINATE_OPTIONS="-a i386" \
	update-one-germinate "i386.$dist" "$dist" main,restricted,universe,multiverse
done
